Module org.jfree.chart3d
Package org.jfree.chart3d.legend

# Class LegendAnchor

java.lang.Object
org.jfree.chart3d.legend.LegendAnchor

public final class LegendAnchor extends Object
Predefined legend anchor points, provided for convenience. The anchor points are simply instances of the `Anchor2D` class.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Anchor2D`
`BOTTOM_CENTER`
An anchor point at the bottom-center of the chart area.
`static final Anchor2D`
`BOTTOM_LEFT`
An anchor point at the bottom-left of the chart area.
`static final Anchor2D`
`BOTTOM_RIGHT`
An anchor point at the bottom-right of the chart area.
`static final Anchor2D`
`CENTER_LEFT`
An anchor point at the center-left of the chart area.
`static final Anchor2D`
`CENTER_RIGHT`
An anchor point at the center-right of the chart area.
`static final Anchor2D`
`TOP_CENTER`
An anchor point at the top-center of the chart area.
`static final Anchor2D`
`TOP_LEFT`
An anchor point at the top-left of the chart area.
`static final Anchor2D`
`TOP_RIGHT`
An anchor point at the top-right of the chart area.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TOP_LEFT

public static final Anchor2D TOP_LEFT
An anchor point at the top-left of the chart area.

### TOP_RIGHT

public static final Anchor2D TOP_RIGHT
An anchor point at the top-right of the chart area.

### TOP_CENTER

public static final Anchor2D TOP_CENTER
An anchor point at the top-center of the chart area.

### CENTER_LEFT

public static final Anchor2D CENTER_LEFT
An anchor point at the center-left of the chart area.

### CENTER_RIGHT

public static final Anchor2D CENTER_RIGHT
An anchor point at the center-right of the chart area.

### BOTTOM_CENTER

public static final Anchor2D BOTTOM_CENTER
An anchor point at the bottom-center of the chart area.

### BOTTOM_LEFT

public static final Anchor2D BOTTOM_LEFT
An anchor point at the bottom-left of the chart area.

### BOTTOM_RIGHT

public static final Anchor2D BOTTOM_RIGHT
An anchor point at the bottom-right of the chart area.